
function mudfish_adclean_a7687d2ab4059c9dab7fc5e6ac21f0e4() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`form#fboardlist table tr:has(span.text-muted:contains(AD))`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_a7687d2ab4059c9dab7fc5e6ac21f0e4();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_a7687d2ab4059c9dab7fc5e6ac21f0e4();
  });
}
